> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gpt Public Openapi

> Returns a filtered OpenAPI specification that only includes endpoints with the specified operation IDs.

Parameters:
    request (Request): The HTTP request object representing the incoming request.

Returns:
    dict: A dictionary representing the filtered OpenAPI specification.

Raises:
    HTTPException: If no paths are found with the specified operation IDs.



## OpenAPI

````yaml get /api/openapi
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/openapi:
    get:
      tags:
        - GPT Public
      summary: Get Gpt Public Openapi
      description: >-
        Returns a filtered OpenAPI specification that only includes endpoints
        with the specified operation IDs.


        Parameters:
            request (Request): The HTTP request object representing the incoming request.

        Returns:
            dict: A dictionary representing the filtered OpenAPI specification.

        Raises:
            HTTPException: If no paths are found with the specified operation IDs.
      operationId: get_gpt_public_openapi
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````